
#version 330 core
layout (location = 0) in vec3 LVertexPos2D;
layout (location = 1) in vec3 aNormal;
layout (location = 2) in vec2 aTexCoords;
layout (location = 4) in vec2 aTangent;

out vec3 TexCoords;

uniform mat4 view;
uniform mat4 projection;

void main()
{
    TexCoords = LVertexPos2D;
    vec4 pos = projection * view * vec4( LVertexPos2D, 1.0);
    gl_Position = pos.xyww;
}
