#include <string>
#include <stdio.h>
#include <fmt/core.h>

#define A_WARN(message) warning(message, __LINE__, __FILE__)
#define A_ERROR(message) error(message, __LINE__, __FILE__)
#define A_PANIC(message) panic(message, __LINE__, __FILE__)

void warning(std::string message, int line, std::string file);
void error(std::string message, int line, std::string file);
void panic(std::string message, int line, std::string file);
